diff -N -r nsd-2.3.6-orig/nsd-xfer.c nsd-2.3.6/nsd-xfer.c
456a457
>               size_t match;
459c460
<               (void)fwrite(buffer_current(output), buffer_remaining(output), 1,
---
>               match = fwrite(buffer_current(output), buffer_remaining(output), 1,
diff -N -r nsd-2.3.6-orig/util.c nsd-2.3.6/util.c
95c95
<               time(NULL), global_ident, (int) getpid(), priority_text, message);
---
>               (int)time(NULL), global_ident, (int) getpid(), priority_text, message);
diff -N -r nsd-2.3.6-orig/zlexer.c nsd-2.3.6/zlexer.c
463a464
> int echoresult;
589c590
< #define ECHO (void) fwrite( yytext, yyleng, 1, yyout )
---
> #define ECHO (int) fwrite( yytext, yyleng, 1, yyout )
1041c1042
< ECHO;
---
> echoresult = ECHO;
diff -N -r nsd-2.3.6-orig/zonec.c nsd-2.3.6/zonec.c
22a23
> #define _XOPEN_SOURCE /* glibc2 needs this */
664c665
<       (void)strtol(str, &str, 10);
---
>       i = strtol(str, &str, 10);
[root@newtla BUILD]# diff -N -r nsd-2.3.6-orig nsd-2.3.6
[root@newtla BUILD]# man
[root@newtla BUILD]# diff -c -r nsd-2.3.6-orig nsd-2.3.6
diff -c -r nsd-2.3.6-orig/nsd-xfer.c nsd-2.3.6/nsd-xfer.c
*** nsd-2.3.6-orig/nsd-xfer.c   Mon May  8 04:36:49 2006
--- nsd-2.3.6/nsd-xfer.c        Thu Oct 12 18:14:05 2006
***************
*** 454,462 ****
        }

        if (result) {
                buffer_printf(output, "\n");
                buffer_flip(output);
!               (void)fwrite(buffer_current(output), buffer_remaining(output), 1,
                       out);
  /*            fflush(out); */
        }
--- 454,463 ----
        }

        if (result) {
+               size_t match;
                buffer_printf(output, "\n");
                buffer_flip(output);
!               match = fwrite(buffer_current(output), buffer_remaining(output), 1,
                       out);
  /*            fflush(out); */
        }
diff -c -r nsd-2.3.6-orig/util.c nsd-2.3.6/util.c
*** nsd-2.3.6-orig/util.c       Thu Apr 27 03:58:41 2006
--- nsd-2.3.6/util.c    Thu Oct 12 17:50:12 2006
***************
*** 92,98 ****

        /* Bug #104, add time_t timestamp */
        fprintf(current_log_file, "[%d] %s[%d]: %s: %s",
!               time(NULL), global_ident, (int) getpid(), priority_text, message);
        length = strlen(message);
        if (length == 0 || message[length - 1] != '\n') {
                fprintf(current_log_file, "\n");
--- 92,98 ----

        /* Bug #104, add time_t timestamp */
        fprintf(current_log_file, "[%d] %s[%d]: %s: %s",
!               (int)time(NULL), global_ident, (int) getpid(), priority_text, message);
        length = strlen(message);
        if (length == 0 || message[length - 1] != '\n') {
                fprintf(current_log_file, "\n");
diff -c -r nsd-2.3.6-orig/zlexer.c nsd-2.3.6/zlexer.c
*** nsd-2.3.6-orig/zlexer.c     Wed Oct 11 08:00:13 2006
--- nsd-2.3.6/zlexer.c  Thu Oct 12 17:57:54 2006
***************
*** 461,466 ****
--- 461,467 ----
  #define LEXOUT(s)
  #endif

+ int echoresult;
  enum lexer_state {
        EXPECT_OWNER,
        PARSING_OWNER,
***************
*** 586,592 ****
  /* This used to be an fputs(), but since the string might contain NUL's,
   * we now use fwrite().
   */
! #define ECHO (void) fwrite( yytext, yyleng, 1, yyout )
  #endif

  /* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
--- 587,593 ----
  /* This used to be an fputs(), but since the string might contain NUL's,
   * we now use fwrite().
   */
! #define ECHO (int) fwrite( yytext, yyleng, 1, yyout )
  #endif

  /* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
***************
*** 1038,1044 ****
  case 25:
  YY_RULE_SETUP
  #line 268 "zlexer.lex"
! ECHO;
        YY_BREAK
  #line 1044 "zlexer.c"

--- 1039,1045 ----
  case 25:
  YY_RULE_SETUP
  #line 268 "zlexer.lex"
! echoresult = ECHO;
        YY_BREAK
  #line 1044 "zlexer.c"

diff -c -r nsd-2.3.6-orig/zonec.c nsd-2.3.6/zonec.c
*** nsd-2.3.6-orig/zonec.c      Fri Sep 15 08:37:58 2006
--- nsd-2.3.6/zonec.c   Thu Oct 12 18:10:08 2006
***************
*** 20,25 ****
--- 20,26 ----
  #include <strings.h>
  #endif
  #include <unistd.h>
+ #define _XOPEN_SOURCE /* glibc2 needs this */
  #include <time.h>

  #include <netinet/in.h>
***************
*** 661,667 ****
        }

        /* Meters of altitude... */
!       (void)strtol(str, &str, 10);
        switch(*str) {
        case ' ':
        case '\0':
--- 662,668 ----
        }

        /* Meters of altitude... */
!       i = strtol(str, &str, 10);
        switch(*str) {
        case ' ':
        case '\0':
